Welcome!

The kernel problem with recent updates has been solved. Find the solution here

Important information
-- Required MX 15/16 Repository Changes
-- Information on torrent hosting changes
-- Information on MX15/16 GPG Keys
-- Spectre and Meltdown vulnerabilities

News
-- Introducing our new Website
-- MX Linux on social media: here

Current releases
-- MX-18.3 Point Release release info here
-- Migration Information to MX-18 here
-- antiX-17.4.1 release info here

New users
-- Please read this first, and don't forget to add system and hardware information to posts!
-- Here are the Forum Rules

Search found 10697 matches

by Stevo
Fri Aug 16, 2019 8:18 pm
Forum: CR Discussion
Topic: Packages being worked on by the Repo Team
Replies: 1643
Views: 217422

Re: Packages being worked on by the Repo Team

Featherpad 0.11.1 for MX 17-19. Adds spellcheck with the F2 key. No squiggly red underlining for suspect words, though, as the developer says that interferes with the syntax highlighting.
by Stevo
Fri Aug 16, 2019 7:04 pm
Forum: MX Help
Topic: My computer locks up on browser launch
Replies: 5
Views: 144

Re: My computer locks up on browser launch

Does kernel 4.9 support a Ryzen 5? I thought you would want the newest kernel you could get for those, in which case we have 5.2 kernels from Debian and Liquorix in the test repo. Other Ryzen users have also had lockup issues, but I think they solved those with BIOS updates and changing a setting in...
by Stevo
Fri Aug 16, 2019 2:19 pm
Forum: Software / Configuration
Topic: How to install OpenCPN
Replies: 16
Views: 668

Re: How to install OpenCPN

If Stevo's suggestion doesn't solve it, this could possibly be the culprit: Active apt repos in: /etc/apt/sources.list.d/jgeboski.list 1: deb http://download.opensuse.org/repositories/home:/jgeboski/Debian_9.0/ ./ It appears to be a PPA of some sort?? No, the openSUSE Build Service can also create ...
by Stevo
Fri Aug 16, 2019 2:02 pm
Forum: antiX
Topic: Iridium browser install issue
Replies: 14
Views: 265

Re: Iridium browser install issue

Yes...I was also able to get the vaapi messages to go away by making sure that va-api was working for my Intel GPU, raising my hopes that it would be able to show embedded web video using va-api, (4K Youtube video with practically no extra CPU use!), but it didn't work right off. But now that I thin...
by Stevo
Fri Aug 16, 2019 1:49 pm
Forum: General
Topic: how to get FileZilla from version 3.24 to 3.44 ?
Replies: 7
Views: 193

Re: how to get FileZilla from version 3.24 to 3.44 ?

I was able to build and install 3.44.2 on both MX 18 and 19, using gcc-8 on both, but only the MX 19 version runs. It fails on MX 17 with the message "can't find libfilezilla.so", though it exists on the system and was built against it. It did not require any runtime libraries from gcc-8 on MX 18. S...
by Stevo
Fri Aug 16, 2019 1:30 pm
Forum: antiX
Topic: Iridium browser install issue
Replies: 14
Views: 265

Re: Iridium browser install issue

The latest Iridium for MX 17 is in the experimental repository, because it needs gcc-8 to compile and run, and that's currently in experimental. That Iridium is in the main MX 19 repo, though. Does it run without the userns-hack? Ummm...what's that? Is it the sandbox workaround? If so, I think it s...
by Stevo
Fri Aug 16, 2019 1:24 pm
Forum: antiX
Topic: Iridium browser install issue
Replies: 14
Views: 265

Re: Iridium browser install issue

The latest Iridium for MX 17 is in the experimental repository, because it needs gcc-8 to compile and run, and that's currently in experimental. That Iridium is in the main MX 19 repo, though. We have another modern compiler, clang-7, in our main repo, that Iridium might build with instead of gcc-8,...
by Stevo
Thu Aug 15, 2019 10:52 pm
Forum: General
Topic: how to get FileZilla from version 3.24 to 3.44 ?
Replies: 7
Views: 193

Re: how to get FileZilla from version 3.24 to 3.44 ?

And now it fails with

Code: Select all

checking for libfilezilla >= 0.18.1
When I already backported 0.15.1, which is the newest that Debian has. But I'll take that on tomorrow.
by Stevo
Thu Aug 15, 2019 10:21 pm
Forum: General
Topic: how to get FileZilla from version 3.24 to 3.44 ?
Replies: 7
Views: 193

Re: how to get FileZilla from version 3.24 to 3.44 ?

I'll take a look at it, but if that fails, it should be available as a Flatpak in our package installer, according to the Google. Hmmm...seems doable, as long I don't run into weird stuff like needing a newer gcc compiler. #############################################################################...
by Stevo
Thu Aug 15, 2019 4:41 pm
Forum: CR Discussion
Topic: Packages being worked on by the Repo Team
Replies: 1643
Views: 217422

Re: Packages being worked on by the Repo Team

OK, great! I changed the problem packages in the OBS repo to detect if they being built on Stretch or MX Horizon and disable the troublesome dh_autoreconf steps that cause the build failures there, so I just have to upload one set of sources for both Buster and Stretch packages. That'll help when/if...

Go to advanced search